This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 114865 - va_list assignment error
va_list assignment error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-03 13:32 EST by Sean Dilda
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 09:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple test case that fails to compile on x86_64 (62 bytes, text/plain)
2004-02-03 13:33 EST, Sean Dilda
no flags Details

  None (edit)
Description Sean Dilda 2004-02-03 13:32:36 EST
When using fc1-test1 for x86_64, I receive an ' error: incompatible
types in assignment' from gcc when I try to assign the value of one
va_list variable to another.  This does not happen on an x86 box
running fc1.

Attached is a small test case that does nothing useful, but it will
error if you try to compile it on x86_64, but not on x86.
Comment 1 Sean Dilda 2004-02-03 13:33:37 EST
Created attachment 97444 [details]
Simple test case that fails to compile on x86_64
Comment 2 Jakub Jelinek 2004-02-09 09:08:28 EST
That testcase is buggy, you cannot do that.
If you need to copy va_list objects, you need to use va_copy.
See man va_copy for example, or ISO C.

Note You need to log in before you can comment on or make changes to this bug.